{ self, pkgs, inputs, ... }:
{
  imports = [
    ../profiles/nvim
    ../profiles/cli
    ../profiles/direnv
    ../profiles/git
    ../profiles/task
    ../profiles/kitty
    ../profiles/tmux
    ../profiles/opencode
    # ../profiles/firefox
  ];

  home.username = "anishlakhwara";
  home.homeDirectory = "/Users/anishlakhwara";
  home.stateVersion = "22.05";

  programs.zsh.initContent = ''
    PATH=/Users/anishlakhwara/.sourcegraph/bin:/Users/anishlakhwara/.sourcegraph/sg.zsh_autocomplete:/Users/anishlakhwara/google-cloud-sdk/bin:/Users/anishlakhwara/google-cloud-sdk/completion.zsh.inc:/Users/anishlakhwara/google-cloud-sdk/path.zsh.inc:/Users/anishlakhwara/.sg:/opt/homebrew/bin:$PATH
    '';

  # Managing sketchybar plugins from home-manager
  home.file = {
    ".config/sketchybar" = {
        source = ./sketchybar;
        recursive = true;
    };
    ".config/aerospace" = {
      source = ./aerospace;
    };
  };
}
